/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.fol;

import java.util.List;

import edu.freiburg.dbis.rdd.sparql.SPARQLVariable;

/**
 * Representation of FO \forall construct
 * 
 * @author MSchmidt
 */
public class FOForall extends FOFormula {
	protected List<SPARQLVariable> vars;
	protected FOFormula inner;
	
	public FOForall(List<SPARQLVariable> vars, FOFormula inner) {
		this.vars = vars;
		this.inner = inner;
	}
	
	public String toRIF() {
		StringBuffer buf = new StringBuffer();
		buf.append("Forall ");
		for (SPARQLVariable var : vars) {
			buf.append(var);
			buf.append(" ");
		}
		buf.append("(");
		buf.append(inner.toRIF());
		buf.append(")");
		
		return buf.toString();
	}
	
	@Override
	public String toSPARQL(boolean ask) {
		return inner.toSPARQL(ask);
	}

}
