/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.fol;

/**
 * First-order logic negation
 * 
 * @author MSchmidt
 */
public class FONot extends FOFormula {
	protected FOFormula inner;
	
	public FONot(FOFormula inner) {
		this.inner = inner;
	}
	
	@Override
	public String toRIF() {
		StringBuffer buf = new StringBuffer();
		buf.append("Not(");
		buf.append(inner.toRIF());
		buf.append(")");
		
		return buf.toString();
	}

	@Override
	public String toSPARQL(boolean ask) {

		if (!(inner instanceof FOEquals))
			throw new RuntimeException(
					"CASE " + inner.getClass().getSimpleName() + 
					" NOT IMPLEMENTED. ABORTING IN NEGATION.");
		
		StringBuilder buf = new StringBuilder();
		buf.append("!(" + inner.toSPARQL(ask) + ")");
		return buf.toString();
	}
}
