/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.model;

import edu.freiburg.dbis.rdd.sparql.IRI;

/**
 * Container containing a IRI with an optional RangeType
 * specification.
 * 
 * @author MSchmidt
 */
public class IRIWithRangeType {
	protected IRI iri;
	protected RangeType rangeType; 
	
	public IRIWithRangeType(IRI iri, RangeType rangeType) {
		this.iri = iri;
		this.rangeType = rangeType;
	}
	
	public void setIRI(IRI iri) {
		this.iri = iri;
	}
	
	public IRI getIRI() {
		return iri;
	}
	
	public void setRangeType(RangeType rangeType) {
		this.rangeType = rangeType;
	}
	
	public RangeType getRangeType() {
		return rangeType;
	}
	
	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append(iri.toSPARQL());
		if (rangeType!=null) {
			buf.append(rangeType);
		}
		return buf.toString();
	}
}
