/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.model;

/**
 * A single PREFIX declaration inside an RDD
 * 
 * @author MSchmidt
 */
public class PrefixDecl {
	protected String prefix;
	protected String iri;
	
	public PrefixDecl(String prefix, String iri) {
		this.prefix = prefix;
		this.iri = iri;
	}
	
	public String getPrefix() {
		return prefix;
	}
	
	public String getIri() {
		return iri;
	}
	
	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("PREFIX ");
		buf.append(prefix + ": ");
		buf.append("<" + iri + ">");
		
		return buf.toString();
	}
}
