/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.model;

import edu.freiburg.dbis.rdd.sparql.IRI;

/**
 * Representation of LITERAL range type constraint
 * 
 * @author MSchmidt
 */
public class RangeTypeLiteral extends RangeType {

	public IRI datatype = null;

	/**
	 * @param datatype may be null (=not constrained)
	 */
	public RangeTypeLiteral(IRI datatype) { 
		this.datatype = datatype;
	}	

	public IRI getDatatype() {
		return datatype;
	}
	
	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append(" : LITERAL");
		if (datatype!=null) {
			buf.append("(");
			buf.append(datatype);
			buf.append(")");
		}
		return buf.toString();
	}
}
