/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.sparql;

/**
 * Representation of a SPARQL variable
 *
 * @author MSchmidt
 */
public class SPARQLVariable implements SPARQLTriplePatternComponent {
	protected String variable;
	
	public SPARQLVariable(String variable) {
		this.variable = variable;
	}
	
	@Override
	public String toSPARQL() {
		return "?" + variable;
	}

	@Override
	public String toString() {
		return "?" + variable;
	}
}
