/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.parser;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

import org.junit.Test;

import edu.freiburg.dbis.rdd.model.RDD;

/**
 * Test case to make sure the input stream is
 * completely processed (no trailing chars allowed)
 * 
 * @author MSchmidt
 */
public class ConsumeInputStreamTest {

	private static String TEST_BASE_DIR = "examples/test/parse/";
	
	@Test
	public void testConsumeInputStream()
	throws FileNotFoundException, ParseException {
		
		String rddFile = TEST_BASE_DIR + "ConsumeInput.rdd";
		FileInputStream fis = new FileInputStream(new File(rddFile));

	    RDDParser parser = new RDDParser(fis);
	    try {
	    	RDD rdd = parser.rdd();	
	    	System.out.println(rdd);
	    } catch (ParseException e) {
	    	return; // expected error
	    }
	    
	    throw new RuntimeException("Parsing exception expected, but not encountered.");
	}
}
